Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros
subst.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | RUBY_SUBST_H 1
#define | snprintf ruby_snprintf
#define | vsnprintf ruby_vsnprintf
#define | snprintf ruby_snprintf
#define | vsnprintf ruby_vsnprintf

## Macro Definition Documentation

#define RUBY_SUBST_H 1

Definition at line 3 of file ripper.y.

#define snprintf ruby_snprintf

Referenced by append_utf8(), BigMath_s_log(), control_frame_dump(), date_strftime_with_tmx(), enc_set_filesystem_encoding(), err_position_0(), fmt_setup(), get_device_once(), get_syserr(), getnameinfo(), inet_ntop(), lcid_installed(), ossl_make_error(), ossl_sslctx_initialize(), output_hex_charref(), parser_yylex(), port_str(), raise_from_check(), raise_zlib_error(), rb_dlptr_inspect(), rb_fiddle_ptr_inspect(), rb_if_indextoname(), rb_iseq_disasm(), rb_locale_charmap(), rb_num2long(), rb_num2ulong(), rb_reg_expr_str(), rb_str_buf_cat_escaped_char(), rb_str_dump(), rb_str_format(), rb_str_inspect(), rb_strftime_with_timespec(), rb_sys_warning(), rb_w32_inet_ntop(), rb_w32_pipe(), register_label(), report_bug(), ruby_setenv(), sock_s_getnameinfo(), strscan_inspect(), unescape_escaped_nonascii(), and w_float().

#define snprintf ruby_snprintf

Definition at line 6 of file subst.h.

#define vsnprintf ruby_vsnprintf

Definition at line 7 of file subst.h.